Subject: Re: [PATCH mvebu + mvebu/dt64 4/4] arm64: dts: marvell: armada-37xx: move firmware node to generic dtsi file

From: Marek Behún <[email-masked]>
Date: Fri, 12 Mar 2021 17:32:24 +0100

On Fri, 12 Mar 2021 17:18:57 +0100
Pali Rohár <[email-masked]> wrote:

> On Friday 12 March 2021 16:53:32 Andrew Lunn wrote:
> > > So theoretically the turris-mox-rwtm driver can be renamed into
> > > something else and we can add a different compatible in order not to
> > > sound so turris-mox specific.  
> > 
> > That would be a good idea. And if possible, try to push the hardware
> > random number code upstream in the firmware repos, so everybody gets
> > it by default, not just those using your build. Who is responsible for
> > upstream? Marvell?  
> 
> Hello Andrew! The issue is that upstream Marvell repository contains
> only 'fuse.bin' application which is suitable only for fuse programming.
> I think it is not correct if this Marvell fuse application start
> providing other functionality not relevant to fuse programming.

Why not? We can rename it to fuse+hwrng and implement hwrng there.
Maybe Konstantin will agree with such a change :)

> And Marvell does not provide any other application (publicly). So it would
> be needed to send it as another application, not part of 'fuse.bin'. And
> then it complicates build system and compile options, which is already
> too complicated (you need to set tons of TF-A options and prepare two
> sets of cross compile toolchains).
> 
> But because application / firmware for MOX / Armada 3720 is actively
> developed on different place, I do not think that it make sense to send
> every change to two different locations (and wait for Marvell until
> review every change and include it into their repository). Such thing
> just increase maintenance cost at both sides.

This is a little bit  better argument than the previous one. But I
think Andrew may be right in that for end-users it just complicates
things if they have more options. Better to give them one option.

> For me it looks like a better solution to provide 'wtmi_app.bin'
> application with HW number generator from separate repository, where it
> is currently developed and where it is available for a longer time.
> 
> We are planning to send documentation update to Trusted-Firmware project
> to specify how to build Armada 3720 firmware image with our application.
> So people who are building Armada 3720 firmware would be able to switch
> from Marvell's 'fuse.bin' application to our 'wtmi_app.bin'.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel